Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360990 - [z-stream clone - 4.0.4] VMs are not reported as non-responding even though qemu process does not responds.
Summary: [z-stream clone - 4.0.4] VMs are not reported as non-responding even though ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.6.7
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.0.4
: 4.0.4
Assignee: Francesco Romani
QA Contact: sefi litmanovich
URL:
Whiteboard:
Depends On: 1357798
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 06:21 UTC by rhev-integ
Modified: 2017-04-03 12:53 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
This update fixes a error in the monitoring code that caused the VDSM to incorrectly report that a QEMU process has recovered and is responsive after being unavailable for a short amount of time, while it was actually unresponsive.
Clone Of: 1357798
Environment:
Last Closed: 2016-09-28 22:17:25 UTC
oVirt Team: Virt


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1950 normal SHIPPED_LIVE vdsm 4.0.4 bug fix and enhancement update 2016-09-29 01:18:46 UTC
oVirt gerrit 61309 master MERGED tests: sampling: add FakeClock helper 2016-07-28 06:21:17 UTC
oVirt gerrit 61310 master MERGED vm: periodic: fix stats age reporting 2016-08-02 10:11:05 UTC
oVirt gerrit 61420 master MERGED virt: sampling: add is_empty() method to StatsSample 2016-08-02 10:06:49 UTC
oVirt gerrit 61820 ovirt-4.0 MERGED tests: sampling: add FakeClock helper 2016-08-17 10:21:55 UTC
oVirt gerrit 61821 ovirt-4.0 MERGED virt: sampling: add is_empty() method to StatsSample 2016-08-17 10:22:02 UTC
oVirt gerrit 61822 ovirt-4.0 MERGED vm: periodic: fix stats age reporting 2016-08-17 10:22:15 UTC

Comment 1 sefi litmanovich 2016-09-05 08:53:20 UTC
Verified with rhevm-4.0.4-0.1.el7ev.noarch, host: vdsm-4.18.12-1.el7ev.x86_64.


Verified according to steps in description.
Result after kill -19 <qemu-pid> :
vdsClient is reporting the vm in state 'UP' with monitorResponse = -1. In engine the vm is reported as not responding which is the expected result.
Status isn't changed after several minutes, so no monitoring issues.
When resuming the process with kill -CONT <qemu-pid> monitorResponse = 0 and vm is back up in engine.

Comment 3 errata-xmlrpc 2016-09-28 22:17:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1950.html


Note You need to log in before you can comment on or make changes to this bug.